function VDR_CheckURL( url, option )
{
	return 1;
}

/*
 Get a VDR URL
*/
function VDR_GetURL( url, option )
{
	// THIS FUNCTION ISN'T EVEN *USED*.
	return url;
}

/*
 Video search
 
 keyword     : keyword to search
 start_index : starting index (based on 1)
 length      : number of videos to search for
 option      : The current search criteria, defaults to 0 (?)
 
 Return info
 
 .keyword                            : search string
 .total                              : total number of results
                                                -1 : error
                                                 0 : no results
                                                 >0: total results
 .start                              : starting number (based on 1)
 .end                                : ending number (based on 1)
 .VideoInfo                          : video sequence information
 .VideoInfo[n].Author                : Author (string)
 .VideoInfo[n].Title                 : Title (string)
 .VideoInfo[n].LengthSeconds         : LengthSeconds: total video playback time (in seconds) (integer)
 .VideoInfo[n].RatingAvg             : RatingAvg: rating (float)
 .VideoInfo[n].RatingCount           : RatingCount: number of votes (integer)
 .VideoInfo[n].Description           : Description (string)
 .VideoInfo[n].ViewCount             : ViewCount (integer)
 .VideoInfo[n].UploadTime            : UploadTime: Video upload time (UNIX style)
 .VideoInfo[n].CommentCount          : CommentCount (integer)
 .VideoInfo[n].MylistCount           : MylistCount: ? (integer)
 .VideoInfo[n].Tags                  : Tags: Space-delimited string of tags, e.g. "tag1 tag2 tag3"
 .VideoInfo[n].URL                   : URL: Link to viewing page (string)
 .VideoInfo[n].ThumbnailURL          : ThumbnailURL: URL to thumbnail (string)
 .VideoInfo[n].SaveFilename          : SaveFilename (string)
                                                "Movie deprecated set unique ID please."
 .VideoInfo [n]. Attr: Integer OR video attribute set to the following value
                                                 1: read-only (not delete)
                                                 2: download
                                                 4: Play is a need to connect to the network
                                        pag         Usually, 1 +2 +4, 7
                                                 MS is a directory, so one can not be removed
                                                 MS files, 0
 .VideoInfo[n].child				 : children
 .VideoInfo[n].parent				 : parents
*/
function VDR_Search( keyword, start_index, length, option )
{
	var result = new Object();
    	result.keyword   = keyword;	// Search
	result.VideoInfo = new Array();	// Results in sequence
	result.start     = start_index;	// Index of first result
	result.end       = 0;
	result.total     = -1;

	// API calls for searching
	var url_base = "http://ipeuresVDRs/psptube/vdr2psp.php?q=" + PSPTube.encodeURI( keyword )+"&p="+(start_index);
        var url = url_base;
	var nPage = Math.floor( (start_index - 1) / 25 ) + 1;	/* begin the search page */
	var nIndex = (nPage - 1) * 25 + 1;						/* begin index */
	while(nIndex < (start_index + length)) {
		var url = url_base;
		var contents = GetContents( url );
		if(contents == null) { return null; /* failed to get page */ }
		/* total number of results */
		var i = nIndex;
		while(contents.indexOf("<item>") >= 0) {
				contents = contents.substring(contents.indexOf("<item>"));
				var e_end = contents.indexOf("</item>");
				var item = contents.substring(0, e_end);
				contents = contents.substring(item.length);
				info = new Object();

				// Title
				var title;
				if(title = item.match( /<title>([^<]*)<\/title>/ )) {
					info.Title = title[1].replace(/&amp;/g,"&").replace(/&quot;/g,'"');
				}

				// Description
				var desc;
				if(desc = item.match( /<desc>([^<]*)<\/desc>/ )) {
					info.Description = desc[1].replace(/&amp;/g,"&").replace(/&quot;/g,'"');
				}
				
				// Thumbnail
				var thumbnail;
				if(thumbnail = item.match( /<thumbnail>([^<]*)<\/thumbnail>/ )) {
					info.ThumbnailURL = thumbnail[1].replace(/&amp;/g,"&");
				}
				// URL
				var file;
				if(file = item.match( /<gotovid>([^<]*)<\/gotovid>/ )) {
					info.URL = file[1].replace(/&amp;/g,"&");
				}
				var duration;
				if(duration = item.match( /<duration>([^<]*)<\/duration>/ )) {
					info.LengthSeconds = (duration[1] - 0);
				}
				info.attr = 5;
				result.VideoInfo.push( info );
			i++;
		}
		nIndex = nIndex + 25;
		nPage++;
	}
	if(result.VideoInfo.length) {
		result.total = result.VideoInfo.length;
		result.end   = result.start + result.total;
	} else {
		result.total = 0;	// no results.
	}
	return result;
}

// Service metadata
var VDR = new Object();
VDR.Name          = "VDR";			                                                        /* Service name */
VDR.Description   = "VDR-Livestream";			                                                /* Service description */
VDR.SearchDesc    = "";			/* Service search screen description */
VDR.SearchOSKMode = 1;						                                        /* OSK mode 1: English only  2: Japanese */
VDR.CheckURL      = VDR_CheckURL;	                                                                /* CheckURL function */
VDR.GetURL        = VDR_GetURL;				                                        	/* GetURL function */
VDR.Search        = VDR_Search;										/* Search function */

// add VDR to site list
SiteList.push( VDR );
