#!/bin/sh
#
# externremux.sh

# CONFIG START
  STREAMQUALITY="PSP" # COPY, DSL{1,2,3,6}000, DSL3500, LAN10, WLAN{11,54}, IPAQ
  RECDIR=/video
  TMP=/tmp/externremux-${RANDOM:-$$}
# CONFIG END

mkdir -p $TMP
mkfifo $TMP/out.flv
(trap "rm -rf $TMP" EXIT HUP INT TERM ABRT; cat $TMP/out.flv) &

case ${1:0:1} in
     [A-Z]) IFS=: CMD=($1) IFS= ;;
         *) IFS=: CMD=("$STREAMQUALITY" $1) IFS= ;;
esac

case ${CMD[1]} in
     d*) RECORDING="dvd://${CMD[2]}"
         ;;
     r*) REC=$(eval find $RECDIR -name 20*.rec | grep -m 1 -i "${CMD[2]}")
         if [ -d "$REC" ] ; then
             RECORDING="$REC/[0-9][0-9][0-9].vdr"
         fi
         ;;
     f*) REC=$(eval find $RECDIR | grep -m 1 -i "${CMD[2]}")
         if [ -f "$REC" ] ; then
             RECORDING="$REC"
         fi
         ;;
esac

case $CMD in
         PSP) exec mencoder $RECORDINGS -o $TMP/out.flv -of lavf -oac mp3lame -lameopts abr:br=128 -ovc lavc -lavcopts vcodec=flv:vbitrate=500 -vf scale=320:240 -srate 44100 -delay 0,4  -- - &>$TMP/out.log ;;

         PSP1) exec mencoder $RECORDINGS -o $TMP/out.flv -of lavf -oac mp3lame -lameopts abr:br=128 -ovc lavc -lavcopts vcodec=flv:vbitrate=1000 -vf scale=480:272 -srate 44100 -- - &>$TMP/out.log ;;

           *) touch $TMP/out.flv ;;
esac

